Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Lucene::DoubleCache Class Reference

`#include <FieldCacheImpl.h>`

Inheritance diagram for Lucene::DoubleCache:

## Public Member Functions

| DoubleCache (FieldCachePtr wrapper=FieldCachePtr())
virtual | ~DoubleCache ()
virtual String | getClassName ()
boost::shared_ptr< DoubleCache > | shared_from_this ()
Public Member Functions inherited from Lucene::Cache
| Cache (FieldCachePtr wrapper=FieldCachePtr())
virtual | ~Cache ()
boost::shared_ptr< Cache > | shared_from_this ()
virtual void | purge (IndexReaderPtr r)
| Remove this reader from the cache, if present. More...
virtual boost::any | get (IndexReaderPtr reader, EntryPtr key)
virtual void | printNewInsanity (InfoStreamPtr infoStream, boost::any value)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Cache
static String | _getClassName ()

## Protected Member Functions

virtual boost::any | createValue (IndexReaderPtr reader, EntryPtr key)

## Additional Inherited Members

Data Fields inherited from Lucene::Cache
FieldCacheWeakPtr | _wrapper
WeakMapLuceneObjectMapEntryAny | readerCache
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::DoubleCache::DoubleCache | ( | FieldCachePtr | wrapper = `FieldCachePtr()`) |  |

virtual Lucene::DoubleCache::~DoubleCache | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::DoubleCache::_getClassName | ( | ) |  |

inline static

virtual boost::any Lucene::DoubleCache::createValue | ( | IndexReaderPtr | reader,
|  | EntryPtr | key
| ) |  |

protected virtual

Implements Lucene::Cache.

virtual String Lucene::DoubleCache::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::Cache.

boost::shared_ptr< DoubleCache > Lucene::DoubleCache::shared_from_this | ( | ) |  |

inline

The documentation for this class was generated from the following file:

- FieldCacheImpl.h

clucene.sourceforge.net